> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/devx/6.0/changelog/lenses-hq/version-6.0.0-alpha.18/helm.md).

# Helm

## HQ Changelog

### Support for ESO SecretStore

In the past only *ClusterSecretStore* when handling external secret was support. With a new version you can choose to pick either *ClusterSecretStore* or a *SecretStore* when creating external secret.

{% tabs %}
{% tab title="ClusterSecretStore" %}
{% code title="values.yaml" %}

```yaml
lensesHq:
  storage:
    postgres:
      enabled: true
      host: postgres.host.url
      port: 5432
      username: postgres
      database: hq
      passwordSecret:
        type: "externalSecret"
        name: postgres
        key:  password
        externalSecret:
          secretStoreRef:
              type: ClusterSecretStore
              name: css-secrets
```

{% endcode %}
{% endtab %}

{% tab title="SecretStore" %}
{% code title="values.yaml" %}

```yaml
lensesHq:  
  storage:
    postgres:
      enabled: true
      host: postgres.host.url
      port: 5432
      username: postgres
      database: hq
      passwordSecret:
        type: "externalSecret"
        name: postgres
        key:  password
        externalSecret:
          secretStoreRef:
              type: SecretStore
              name: ss-secrets
```

{% endcode %}
{% endtab %}
{% endtabs %}

### ESO additional specs

New property has been added to external secret template called *additionalSpecs* where you can add or change any of the specs that would normally be added in ExternalSecret resource.

Example:

```yaml
lensesHq:  
  storage:
    postgres:
      enabled: true
      host: postgres.host.url
      port: 5432
      username: postgres
      database: hq
      passwordSecret:
        type: "externalSecret"
        name: postgres
        key:  password
        externalSecret:
          additionalSpecs:
            refreshInterval: 12h
          secretStoreRef:
              type: ClusterSecretStore
              name: css-secrets
```

### Small bugfixes

* *`lensesHq.http.tls`* property was referencing wrong properties within defined *values.yaml*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lenses.io/latest/devx/6.0/changelog/lenses-hq/version-6.0.0-alpha.18/helm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
